import java.io.*;

class Employee {

	//instance variables
	private String myName;
	private double myRate;
	private int myLastWeeksOvertime;

	// constructor
	// initializes instance variables to parameter values
	// set myLastWeeksOvertime to 0
	public Employee(String name, double rate)  {
	
		myName = name;
		myRate = rate;
		myLastWeeksOvertime = 0;
	}
	
	// returns the current value of instance variable myName
	public String name() {
	
		return myName;
	}
	
	// calculates the pay of the object using the hours argument
	// and the instance variable myRate
	// calculation is dependent on the number of hours worked
	// will display warning if total Overtime > 30 hours
	public double calcPay(int hours) {
	
		double pay;
		int currentOvertime;
		
		if (hours <= 40) {
			pay = hours * myRate;
			currentOvertime = 0;
		} else {
			currentOvertime = hours - 40;
			pay = 40 * myRate + currentOvertime * (myRate + myRate / 2);
		}
		
		if (currentOvertime + myLastWeeksOvertime >= 30) {
			System.out.println("*** " + myName + " has worked 30 or more hours overtime.");
		}
		
		myLastWeeksOvertime = currentOvertime;
		return pay;	
	
	}

}